Inventory

Get Inventory Template

GET
/inventory/template/{inventoryTemplateId}

Returns an InventoryTemplate object.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

inventoryTemplateId*string

Must be a valid inventory template ID.

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/inventory/template/invt_b80ce14b-038b-4f56-b970-d232771d62e3"
{
  "attribution": null,
  "authorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "collections": [
    "string"
  ],
  "created_at": "2025-06-12T20:21:15.056Z",
  "defaultAttributes": {},
  "description": "string",
  "dropStatus": "string",
  "equipSlots": [
    "string"
  ],
  "flags": [
    "string"
  ],
  "id": "invt_b80ce14b-038b-4f56-b970-d232771d62e3",
  "imageUrl": "string",
  "initialToggleState": true,
  "itemType": "prop",
  "itemTypeLabel": "string",
  "metadata": {
    "animated": true,
    "animationStyle": "string",
    "assetBundleId": "string",
    "assets": [
      {
        "fileId": "string",
        "frameCount": 0,
        "framesPerSecond": 0,
        "loopCount": 0,
        "totalDurationMs": 0,
        "type": "string",
        "url": "string"
      }
    ],
    "fileId": "string",
    "gradientEnd": "3cc92c",
    "gradientStart": "3cc92c",
    "imageUrl": "string",
    "inventoryItemsToInstantiate": [
      "invt_b80ce14b-038b-4f56-b970-d232771d62e3"
    ],
    "maskTag": "string",
    "propId": "prop_829ba6f6-b837-49d9-b9a9-056b82103b58",
    "propKind": 0,
    "viewfinderBundleId": "string"
  },
  "name": "string",
  "notificationDetails": {
    "body": "string",
    "imageUrl": "string",
    "title": "string"
  },
  "productId": "prod_bfbc2315-247a-44d7-bfea-5237f8d56cb4",
  "publishedListings": [
    "prod_bfbc2315-247a-44d7-bfea-5237f8d56cb4"
  ],
  "status": "live",
  "tags": [
    "string"
  ],
  "updated_at": "2025-06-10T20:37:31.837Z",
  "validateUserAttributes": true
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}